Subject: Re: system() refuses to work!!! HELP
From: "Moises D. Deangelo" <[email-masked]>
To: [email-masked]
Date: Wed, 15 Oct 2003 02:53:18 -0300

It did not work. I do not manage to understand what happens of wrong. 

Em 14 Oct 2003, Andrew DeFaria escreveu: 

>Moises D. Deangelo wrote: 
> 
>> Yes. 
>> 
>> When entering with the command ls -l /bin/sh.exe, the appeared following: 
>> 
>> -rwxr-x---+ 1 Diego Usuários 83456 Aug 11 10:45 /bin/sh.exe 
>> 
>> 
>> And now? what Do I do? Does that mean something? How I said, or the 
>> command system() works, or I learn to activate speaker through cygwin. 
>> In ultimo case, whether someone knows how to execute a .WAV or .MP3 
>> and can explain am thankful. 
> 
>You could try system("/bin/cat .wav > /dev/dsp"). Note that this 
>does not handle mp3's just wav's. 
> 
>(Note that /bin/cat will probably not work for a Turbo C program because 
>/bin/cat is a Posix path. You might need to do something more like 
>system("C:\Cygwin\bin\bash -c '/bin/cat .wav > /dev/dsp'"). Also 
>note that you need to subsititute a real wav file name for .wav). 
> 
>-- 
>Unsubscribe info: http://cygwin.com/ml/#unsubscribe-simple 
>Problem reports: http://cygwin.com/problems.html 
>Documentation: http://cygwin.com/docs.html 
>FAQ: http://cygwin.com/faq/ 
> 
>---------- 

_________________________________________________________
Voce quer um iGMail protegido contra vírus e spams?
Clique aqui: http://www.igmailseguro.ig.com.br
Ofertas imperdíveis! Link: http://www.americanas.com.br/ig/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/